<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Datamodul;

class KursBetreuer extends \Datamodul
{
  
  public $knr;

  
  public $typ;

  
  public $nr;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default: return parent::getTyp($pFieldName);
      case 'id':
      case 'nr':
        return \DatamodulVarType::TYPE_INT;
    }
  }

  public function getDatamodulName(): string
  {
    return 'kursbetreuer';
  }
}